<template>
  <div id="app">
    <HeaderComponent
      v-bind:type_of_tab="type_of_tab"
      v-on:change_tab_event="handleChangeTab"
    />
    <customer-component v-bind:type_of_tab="type_of_tab" v-bind:list_customer="list_customer" />
  </div>
</template>

<script>
import HeaderComponent from "./components/HeaderComponent.vue";
import CustomerComponent from "./components/CustomerComponent.vue";
// import axios from "axios";
require("babel-core/register");
require("babel-polyfill");
export default {
  name: "app",
  data() {
    return {
      type_of_tab: "add_customer",
      list_customer: []
    };
  },
  methods: {
    async handleChangeTab(type_of_tab) {
      this.type_of_tab = type_of_tab;
      // Gọi API
      var res = await axios.get(
        "https://ahasoft-sample-apis.azurewebsites.net/Customer",
        {
          method: "GET",
          headers: { "Content-Type": "application/json" },
        }
      );
      this.list_customer = res.data.length > 0 ? res.data : [];
    },
  },
  computed: {},
  components: {
    HeaderComponent,
    CustomerComponent,
  },
};
</script>

<style>
#app {
  font-family: "Avenir", Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  /* text-align: center; */
  color: #2c3e50;
}

h1,
h2 {
  font-weight: normal;
}

ul {
  list-style-type: none;
  padding: 0;
}

li {
  display: inline-block;
  margin: 0 10px;
}

a {
  color: #42b983;
}
</style>
